Subject: Re: [net 03/10] net/mlx5e: XDP, Allow growing tail for XDP multi buffer

From: Maxim Mikityanskiy <[email-masked]>
Date: Sat, 8 Apr 2023 14:24:59 +0300

On Fri, 24 Feb 2023 at 10:07:44 -0800, Saeed Mahameed wrote:
> On 23 Feb 16:34, Jakub Kicinski wrote:
> > On Thu, 23 Feb 2023 14:52:40 -0800 Saeed Mahameed wrote:
> > > From: Maxim Mikityanskiy <[email-masked]>
> > > 
> > > The cited commits missed passing frag_size to __xdp_rxq_info_reg, which
> > > is required by bpf_xdp_adjust_tail to support growing the tail pointer
> > > in fragmented packets. Pass the missing parameter when the current RQ
> > > mode allows XDP multi buffer.
> > 
> > Why is this a fix and not an (omitted) feature?
> 
> I am sure not intentional, but I agree not critical.

What's the destiny of my two patches (3 and 4)? I don't see them applied
to either net or net-next.